[globus-gatekeeper/el4] Update to Globus Toolkit 5.2.0

Mattias Ellert ellert at fedoraproject.org
Sun Jan 8 01:22:00 UTC 2012


commit 90dfc113ba440b0a7e854f23e2ad988ab70df51a
Author: Mattias Ellert <mattias.ellert at fysast.uu.se>
Date:   Sun Jan 8 00:57:36 2012 +0100

    Update to Globus Toolkit 5.2.0

 .gitignore                    |    4 +-
 GLOBUS-GRAM5                  |    6 ++
 globus-gatekeeper             |  195 ++++++++++++++++++++++++++++++-----------
 globus-gatekeeper-deps.patch  |   39 ++++++++
 globus-gatekeeper-setup.patch |   82 -----------------
 globus-gatekeeper.README      |   90 +++++++++----------
 globus-gatekeeper.patch       |  118 -------------------------
 globus-gatekeeper.spec        |  149 ++++++++++++-------------------
 sources                       |    3 +-
 9 files changed, 293 insertions(+), 393 deletions(-)
---
diff --git a/.gitignore b/.gitignore
index 063fb59..78c5fe2 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,2 +1,2 @@
-/globus_gatekeeper-5.7.tar.gz
-/globus_gatekeeper_setup-2.2.tar.gz
+/*.tar.gz
+/*.tar.gz
diff --git a/GLOBUS-GRAM5 b/GLOBUS-GRAM5
index 44a32f6..e6e44fe 100644
--- a/GLOBUS-GRAM5
+++ b/GLOBUS-GRAM5
@@ -6,6 +6,9 @@ http://www.globus.org/toolkit/docs/latest-stable/execution/gram5/
 Admin Guide:
 http://www.globus.org/toolkit/docs/latest-stable/execution/gram5/admin/
 
+User's Guide
+http://www.globus.org/toolkit/docs/latest-stable/execution/gram5/user/
+
 Developer's Guide:
 http://www.globus.org/toolkit/docs/latest-stable/execution/gram5/developer/
 
@@ -20,3 +23,6 @@ http://www.globus.org/toolkit/docs/latest-stable/execution/gram5/qp/
 
 Migrating Guide:
 http://www.globus.org/toolkit/docs/latest-stable/execution/gram5/mig/
+
+Globus RPM packaging is supported by the Initiative for Globus in Europe:
+http://www.ige-project.eu/
diff --git a/globus-gatekeeper b/globus-gatekeeper
index fbef632..4b54a16 100644
--- a/globus-gatekeeper
+++ b/globus-gatekeeper
@@ -1,86 +1,175 @@
 #!/bin/bash
-#
+
 # globus-gatekeeper
 #
 # chkconfig: - 20 80
-# description: Controls the globus-gatekeeper
-#
+# description: Authorize and execute a grid service
+
 ### BEGIN INIT INFO
 # Provides:          globus-gatekeeper
-# Required-Start:    $remote_fs $syslog
-# Required-Stop:     $remote_fs $syslog
+# Required-Start:    $remote_fs $network $time
+# Required-Stop:     $remote_fs $network
 # Default-Stop:      0 1 2 3 4 5 6
 # Short-Description: Globus Gatekeeper
-# Description:       Globus Gatekeeper
+# Description:       The Globus Gatekeeper service authenticates network
+#                    connections using an SSL-based protocol and then
+#                    starts service instances on the remote user's behalf.
+#                    It is part of the Globus Toolkit(tm)
 ### END INIT INFO
 
-# source function library
-. /etc/init.d/functions
+# Copyright 1999-2010 University of Chicago
+# 
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+# 
+# http://www.apache.org/licenses/LICENSE-2.0
+# 
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+progname=globus-gatekeeper
+prog=/usr/sbin/${progname}
 
-sbindir="/usr/sbin"
-sysconfdir="/etc"
-localstatedir="/var"
+if [ -r /etc/sysconfig/globus-gatekeeper ] ; then
+    . /etc/sysconfig/globus-gatekeeper
+fi
 
-rc=0
-conf=${sysconfdir}/globus-gatekeeper.conf
-pidfile=${localstatedir}/run/globus-gatekeeper.pid
-gatekeeper=${sbindir}/globus-gatekeeper
+test -f ${prog} || exit 0
+
+lockfile=/var/lock/subsys/${progname}
+
+GLOBUS_GATEKEEPER_PIDFILE="${GLOBUS_GATEKEEPER_PIDFILE:-/var/run/${progname}.pid}"
+GLOBUS_GATEKEEPER_PORT="${GLOBUS_GATEKEEPER_PORT:-2119}"
+
+test -f "${GLOBUS_GATEKEEPER_CERT_FILE:-/etc/grid-security/hostcert.pem}" || exit 0
+test -f "${GLOBUS_GATEKEEPER_KEY_FILE:-/etc/grid-security/hostkey.pem}" || exit 0
 
 start() {
-	echo -n "Starting globus-gatekeeper: "
-	if [ ! -f $conf ]; then
-	  cp $conf.default $conf;
-	fi
+    status > /dev/null
+    rc=$?
+
+    if [ $rc -eq 0 ]; then
+        echo "$progname is already running"
+        return 0
+    fi
+
+    if [ "${GLOBUS_GATEKEEPER_KERBEROS_ENABLED:-false}" = "true" ]; then
+        kflag="-k"
+    else
+        kflag=""
+    fi
 
-	$gatekeeper -c $conf
-	rc=$?
+    ${GLOBUS_GATEKEEPER_NICE_LEVEL:+nice -n "${GLOBUS_GATEKEEPER_NICE_LEVEL}"} \
+    ${sbindir}/globus-gatekeeper \
+        -pidfile "${GLOBUS_GATEKEEPER_PIDFILE}" \
+        ${GLOBUS_GATEKEEPER_PORT:+-p "${GLOBUS_GATEKEEPER_PORT}"} \
+        ${GLOBUS_GATEKEEPER_LOG:+-l "${GLOBUS_GATEKEEPER_LOG}"} \
+        ${GLOBUS_GATEKEEPER_GRID_SERVICES:+-grid_services "${GLOBUS_GATEKEEPER_GRID_SERVICES}"} \
+        ${GLOBUS_GATEKEEPER_GRIDMAP:+-gridmap "${GLOBUS_GATEKEEPER_GRIDMAP}"} \
+        ${GLOBUS_GATEKEEPER_CERT_DIR:+-x509_cert_dir "${GLOBUS_GATEKEEPER_CERT_DIR}"} \
+        ${GLOBUS_GATEKEEPER_CERT_FILE:+-x509_user_cert "${GLOBUS_GATEKEEPER_CERT_FILE}"} \
+        ${GLOBUS_GATEKEEPER_KEY_FILE:+-x509_user_key "${GLOBUS_GATEKEEPER_KEY_FILE}"} \
+        $kflag \
+        ${GLOBUS_GATEKEEPER_KMAP:+-globuskmap "${GLOBUS_GATEKEEPER_KMAP}"} \
+        > /dev/null
+    rc=$?
 
-	[ $rc -eq 0 ] && success || failure
-	[ $rc -eq 0 ] && touch /var/lock/subsys/globus-gatekeeper
+    if [ "$rc" = 0 ]; then
+        echo "Started globus-gatekeeper"
+        touch "$lockfile"
+    else
+        echo "Failed to start globus-gatekeeper"
+    fi
 
-	echo
-	return $rc
+    return $rc;
 }
 
 stop() {
-	echo -n "Stopping globus-gatekeeper: "
-	killall -s INT $gatekeeper 2>/dev/null
-	rc=$?
-	sleep 2
-	killall -s KILL $gatekeeper 2>/dev/null
+    if test -f "${GLOBUS_GATEKEEPER_PIDFILE}"; then
+        read pid < "${GLOBUS_GATEKEEPER_PIDFILE}" 2> /dev/null
+        if [ "$pid" -gt 0 ] 2> /dev/null; then
+            if kill -0 "${pid}" 2> /dev/null; then
+                kill -TERM "${pid}"
 
-	[ $rc -eq 0 ] && success || failure
-	[ $rc -eq 0 ] && rm /var/lock/subsys/globus-gatekeeper
+                if sleep 1 && kill -0 "${pid}" 2> /dev/null && sleep 3 && kill -0 "${pid}" 2> /dev/null;then
+                    kill -KILL "${pid}"
+                fi
 
-	echo
-	return $rc
+                if kill -0 "${pid}" 2> /dev/null; then
+                    echo "Failed to stop globus-gatekeeper"
+                    return 1
+                else
+                    echo "Stopped globus-gatekeeper"
+                fi
+
+            fi
+        fi
+        rm -f "${GLOBUS_GATEKEEPER_PIDFILE}"
+        rm -f "$lockfile"
+    else
+        echo "$progname is not running"
+        return 0
+    fi
 }
 
 restart() {
-	stop
-	start
+    stop
+    start
+}
+
+status() {
+    if test -f "${GLOBUS_GATEKEEPER_PIDFILE}"; then
+        read pid <"${GLOBUS_GATEKEEPER_PIDFILE}" 2>/dev/null
+        if [ "$pid" -gt 0 ] 2> /dev/null; then
+            if ps -p "$pid" > /dev/null; then
+                echo "globus-gatekeeper is running (pid=$pid)"
+                return 0
+            else
+                echo "Stale PID file for globus-gatekeeper"
+                return 1
+            fi
+        fi
+    elif test -f "${lockfile}"; then
+        echo "Stale lock file for globus-gatekeeper"
+        return 2
+    else
+        echo "globus-gatekeeper is not running"
+        return 3
+    fi
 }
 
 case "$1" in
     start)
-	start
-	;;
+        start
+        ;;
+
     stop)
-	stop
-	;;
-    status)
-	;;
-    restart | force-reload)
-	restart
-	;;
-    condrestart | try-restart)
-	[ -e /var/lock/subsys/globus-gatekeeper ] && restart
-	;;
+        stop
+        ;;
+
+    restart)
+        restart
+        ;;
+
     reload)
-	;;
+        exit 0
+        ;;
+
+    force-reload)
+        restart
+        ;;
+    status)
+        status
+        ;;
+    condrestart|try-restart)
+        status || exit 0
+        restart
+        ;;
     *)
-	echo "Usage: $0 {start|stop|status|restart|force-reload|condrestart|try-restart|reload}"
-	exit 1
-	;;
+        echo "Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
+        exit 2
 esac
-exit $rc
diff --git a/globus-gatekeeper-deps.patch b/globus-gatekeeper-deps.patch
new file mode 100644
index 0000000..13fa472
--- /dev/null
+++ b/globus-gatekeeper-deps.patch
@@ -0,0 +1,39 @@
+diff -ur globus_gatekeeper-9.6.orig/configure.in globus_gatekeeper-9.6/configure.in
+--- globus_gatekeeper-9.6.orig/configure.in	2011-11-28 20:32:47.000000000 +0100
++++ globus_gatekeeper-9.6/configure.in	2011-12-15 10:35:26.203587323 +0100
+@@ -21,6 +21,8 @@
+     AC_MSG_ERROR(Cannot build gatekeeper with threads)
+ fi
+ 
++GLOBUS_OPENSSL
++
+ AC_CHECK_HEADERS(proj.h)
+ AC_CHECK_HEADERS(netinet/tcp.h)
+ AC_CHECK_HEADERS(string.h)
+diff -ur globus_gatekeeper-9.6.orig/pkgdata/pkg_data_src.gpt.in globus_gatekeeper-9.6/pkgdata/pkg_data_src.gpt.in
+--- globus_gatekeeper-9.6.orig/pkgdata/pkg_data_src.gpt.in	2011-12-12 20:25:22.000000000 +0100
++++ globus_gatekeeper-9.6/pkgdata/pkg_data_src.gpt.in	2011-12-15 18:33:50.362087774 +0100
+@@ -13,6 +13,11 @@
+                     <Simple_Version Major="8"/>
+                 </Version>
+             </Dependency>
++            <Dependency Name="globus_common">
++                <Version>
++                    <Simple_Version Major="14"/>
++                </Version>
++            </Dependency>
+             <Dependency Name="globus_gss_assist">
+                 <Version>
+                     <Simple_Version Major="8"/>
+@@ -25,6 +30,11 @@
+             </Dependency>
+         </Source_Dependencies>
+         <Source_Dependencies Type="pgm_link">
++            <Dependency Name="globus_common">
++                <Version>
++                    <Simple_Version Major="14"/>
++                </Version>
++            </Dependency>
+             <Dependency Name="globus_gss_assist">
+                 <Version>
+                     <Simple_Version Major="8"/>
diff --git a/globus-gatekeeper.README b/globus-gatekeeper.README
index 471d5d2..8fd1441 100644
--- a/globus-gatekeeper.README
+++ b/globus-gatekeeper.README
@@ -6,61 +6,54 @@ The following commands should be executed as root unless otherwise
 specified.
 
 
-Creating gatekeeper configuration
----------------------------------
-
-After installing the globus-gatekeeper package, run
-
-  /usr/share/globus/setup/setup-globus-gatekeeper
-
-in order to create the /etc/globus-gatekeeper.conf configuration file
-and the /etc/grid-services directory.
-
-
-Creating gram-job-manager configuration
----------------------------------------
-
-The Globus gatekeeper is normally used to start a GRAM job manager on
-the behalf of a user. After installing the globus-gram-job-manager
-package, run
+Enabling a service configuration
+--------------------------------
 
-  /usr/share/globus/setup/setup-globus-gram-job-manager
+The gatekeeper service needs to have a GRAM job manager configured
+that runs the tasks that the gatekeeper accepts. In order to configure
+a job manager first install configuration package corresponding to
+your local resource management system (LRMS). For a small test setup
+without an LRMS use a "fork" service. The following configuration
+packages exists to choose from:
 
-in order to create the /etc/globus-job-manager.conf configuration file
-and the /tmp/gram_job_state directory.
+ - globus-gram-job-manager-condor
+ - globus-gram-job-manager-fork-setup-poll
+ - globus-gram-job-manager-fork-setup-seg
+ - globus-gram-job-manager-pbs-setup-poll
+ - globus-gram-job-manager-pbs-setup-seg
+ - globus-gram-job-manager-sge-setup-poll
+ - globus-gram-job-manager-sge-setup-seg
 
+For many LRMSs you have a choice between a setup the keeps track of
+the state of the submitted jobs by polling the LRMS's queuing system,
+or a setup that uses the Globus Scheduler Event Generator service.
 
-Creating a service configuration
---------------------------------
+After installing one of the packages above, enable the service you
+want to use by running
 
-The GRAM job manager needs to have a service configured that runs the
-tasks that the globus GRAM job manager accepts. In order to configure
-a service first install the corresponding package for your local
-resource management system (LRMS). For a small test setup without an
-LRMS use the "fork" service.
+  globus-gatekeeper-admin -e <type> [-n <name>]
 
- - globus-gram-job-manager-setup-condor
- - globus-gram-job-manager-setup-fork
- - globus-gram-job-manager-setup-lsf
- - globus-gram-job-manager-setup-pbs
- - globus-gram-job-manager-setup-sge
+where <type> is the type of service you want to run, and the optional
+<name> is an name under which the service will be available.
 
-After installing one of the packages above, create a service
-configuration by running
+The list of available service types depends on what configuration
+packages you have installed and can be found by listing the
+/etc/grid-services/available directory. If the name option is omitted
+the name will be the same as the type.
 
-  /usr/share/globus/globus-job-manager-service -add -s <service-name> -t <type>
+You can run more than one service in the same gatekeeper as long they
+have different names. If you want to have a defult service configured
+this service should have the name "jobmanager".
 
-where <service-name> is a unique name for the service, and <type> is
-the type of service you want to run (condor, fork, lsf, ...).
+If you use one of the setups that uses the Globus Scheduler Event
+Generator services you must also activate this service.
 
-You can run more than one service in the same gatekeeper as long they
-have different server names. The configuration for the service will be
-created in /etc/grid-services/<service-name>. The first service you
-create will be the default and a symlink /etc/grid-services/jobmanager
-will be created that points to its configuration. To later change the
-default to a different service change this symlink to point to a
-different one.
+  globus-scheduler-event-generator-admin -e <type>
 
+Where <type> is the LRMS type for which events should be tracked. The
+list of available LRMS types depends on what configuration packages
+you have installed and can be found by listing the
+/etc/globus/scheduler-event-generator/available/ directory.
 
 Starting the service
 --------------------
@@ -71,13 +64,18 @@ key installed in the right locations and with the right permissions.
  - /etc/grid-security/hostcert.pem
  - /etc/grid-security/hostkey.pem
 
-To start the service, run
+To start the gatekeeper service, run
 
   service globus-gatekeeper start
 
-To make the service start automatically at boot, run
+To start the scheduler event generator service (if needed), run
+
+  service globus-scheduler-event-generator start
+
+To make the services start automatically at boot, run
 
   chkconfig globus-gatekeeper on
+  chkconfig globus-scheduler-event-generator on
 
 
 Testing the service
diff --git a/globus-gatekeeper.spec b/globus-gatekeeper.spec
index 70f4106..0c674e4 100644
--- a/globus-gatekeeper.spec
+++ b/globus-gatekeeper.spec
@@ -1,53 +1,43 @@
 %ifarch alpha ia64 ppc64 s390x sparc64 x86_64
-%global flavor gcc64pthr
+%global flavor gcc64
 %else
-%global flavor gcc32pthr
+%global flavor gcc32
 %endif
 
+%{!?_initddir: %global _initddir %{_initrddir}}
+
 Name:		globus-gatekeeper
 %global _name %(tr - _ <<< %{name})
-Version:	5.7
-%global setupversion 2.2
-Release:	4%{?dist}
+Version:	9.6
+Release:	1%{?dist}
 Summary:	Globus Toolkit - Globus Gatekeeper
 
 Group:		Applications/Internet
 License:	ASL 2.0
 URL:		http://www.globus.org/
-#		Source is extracted from the globus toolkit installer:
-#		wget -N http://www-unix.globus.org/ftppub/gt5/5.0/5.0.3/installers/src/gt5.0.3-all-source-installer.tar.bz2
-#		tar -jxf gt5.0.3-all-source-installer.tar.bz2
-#		mv gt5.0.3-all-source-installer/source-trees/gatekeeper/source globus_gatekeeper-5.7
-#		cp -p gt5.0.3-all-source-installer/source-trees/core/source/GLOBUS_LICENSE globus_gatekeeper-5.7
-#		tar -zcf globus_gatekeeper-5.7.tar.gz globus_gatekeeper-5.7
-Source:		%{_name}-%{version}.tar.gz
-#		Source1 is extracted from the globus toolkit installer:
-#		wget -N http://www-unix.globus.org/ftppub/gt5/5.0/5.0.3/installers/src/gt5.0.3-all-source-installer.tar.bz2
-#		tar -jxf gt5.0.3-all-source-installer.tar.bz2
-#		mv gt5.0.3-all-source-installer/source-trees/gatekeeper/setup globus_gatekeeper_setup-2.2
-#		cp -p gt5.0.3-all-source-installer/source-trees/core/source/GLOBUS_LICENSE globus_gatekeeper_setup-2.2
-#		tar -zcf globus_gatekeeper_setup-2.2.tar.gz globus_gatekeeper_setup-2.2
-Source1:	%{_name}_setup-%{setupversion}.tar.gz
-Source2:	%{name}
-Source3:	%{name}.README
+Source:		http://www.globus.org/ftppub/gt5/5.2/5.2.0/packages/src/%{_name}-%{version}.tar.gz
+Source1:	%{name}
+Source2:	%{name}.README
 #		README file
 Source8:	GLOBUS-GRAM5
-#		Fixes for FHS installation:
-#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6820
-Patch0:		%{name}.patch
-#		Fixes for FHS installation:
-#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6821
-Patch1:		%{name}-setup.patch
+Patch0:		%{name}-deps.patch
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
-Provides:	%{name}-setup = %{setupversion}
-Requires:	globus-common >= 11.5
-Requires:	globus-common-setup >= 2
-Requires:	globus-gatekeeper-setup >= 2
-BuildRequires:	grid-packaging-tools
-BuildRequires:	globus-gss-assist-devel%{?_isa} >= 3
-BuildRequires:	globus-gssapi-gsi-devel%{?_isa} >= 4
-BuildRequires:	globus-core%{?_isa} >= 4
+#		Keep providing globus-gatekeeper-setup until it is not needed
+Provides:	%{name}-setup = 2.2
+Requires:	globus-common%{?_isa} >= 14
+Requires:	globus-gss-assist%{?_isa} >= 8
+Requires:	globus-gssapi-gsi%{?_isa} >= 9
+Requires(post):		chkconfig
+Requires(preun):	chkconfig
+Requires(preun):	initscripts
+Requires(postun):	initscripts
+BuildRequires:	grid-packaging-tools >= 3.4
+BuildRequires:	globus-core%{?_isa} >= 8
+BuildRequires:	globus-common-devel%{?_isa} >= 14
+BuildRequires:	globus-gss-assist-devel%{?_isa} >= 8
+BuildRequires:	globus-gssapi-gsi-devel%{?_isa} >= 9
+BuildRequires:	openssl-devel%{?_isa}
 
 %description
 The Globus Toolkit is an open source software toolkit used for building Grid
@@ -57,15 +47,10 @@ using the Globus Toolkit to unlock the potential of grids for their cause.
 
 The %{name} package contains:
 Globus Gatekeeper
-Globus Gatekeeper Setup
 
 %prep
 %setup -q -n %{_name}-%{version}
-%setup -D -T -q -n %{_name}-%{version} -a 1
 %patch0 -p1
-cd %{_name}_setup-%{setupversion}
-%patch1 -p1
-cd -
 
 %build
 # Remove files that should be replaced during bootstrap
@@ -75,83 +60,64 @@ rm -f pkgdata/Makefile.am
 rm -f globus_automake*
 rm -rf autom4te.cache
 
+unset GLOBUS_LOCATION
+unset GPT_LOCATION
 %{_datadir}/globus/globus-bootstrap.sh
 
-%configure --with-flavor=%{flavor}
-
-make %{?_smp_mflags}
-
-# setup package
-cd %{_name}_setup-%{setupversion}
-
-# Remove files that should be replaced during bootstrap
-rm -f doxygen/Doxyfile*
-rm -f doxygen/Makefile.am
-rm -f pkgdata/Makefile.am
-rm -f globus_automake*
-rm -rf autom4te.cache
-
-%{_datadir}/globus/globus-bootstrap.sh
+%configure --disable-static --with-flavor=%{flavor} \
+	   --with-docdir=%{_docdir}/%{name}-%{version} \
+	   --with-initscript-config-path=/etc/sysconfig/globus-gatekeeper \
+	   --with-lockfile-path='${localstatedir}/lock/subsys/globus-gatekeeper'
 
-%configure --without-flavor
+# Reduce overlinking
+sed 's!CC -shared !CC \${wl}--as-needed -shared !g' -i libtool
 
 make %{?_smp_mflags}
 
-cd -
-
 %install
 rm -rf $RPM_BUILD_ROOT
 make install DESTDIR=$RPM_BUILD_ROOT
 
-# setup package
-cd %{_name}_setup-%{setupversion}
-make install DESTDIR=$RPM_BUILD_ROOT
-cd -
-
-# Register setup
-perl -MGrid::GPT::Setup <<EOF
-my \$metadata = new Grid::GPT::Setup(package_name => "%{_name}_setup",
-				     globusdir => "$RPM_BUILD_ROOT%{_prefix}");
-\$metadata->finish();
-EOF
-
-# This script is intended to be sourced, not executed
-chmod 644 $RPM_BUILD_ROOT%{_datadir}/globus/setup/setup-globus-gatekeeper.pl
-
 GLOBUSPACKAGEDIR=$RPM_BUILD_ROOT%{_datadir}/globus/packages
 
+# Remove start-up script
+rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/init.d
+sed '/init\.d/d' -i $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_pgm.filelist
+
 # Install start-up script
 mkdir -p $RPM_BUILD_ROOT%{_initrddir}
-install -p %{SOURCE2} $RPM_BUILD_ROOT%{_initrddir}
+install -p %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}
 
-# Install license file
-mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
-install -m 644 -p GLOBUS_LICENSE $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
+# Install post installation instructions
+install -m 644 -p %{SOURCE2} \
+  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/README.Fedora
 
 # Install README file
 install -m 644 -p %{SOURCE8} \
   $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/README
 
-# Install post installation instructions
-install -m 644 -p %{SOURCE3} \
-  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/README.Fedora
-
 # Generate package filelists
 cat $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_pgm.filelist \
-    $GLOBUSPACKAGEDIR/%{_name}/noflavor_doc.filelist \
-    $GLOBUSPACKAGEDIR/%{_name}_setup/noflavor_pgm.filelist \
-  | sed -e s!^!%{_prefix}! -e 's!.*/man/.*!%doc &*!' > package.filelist
+    $GLOBUSPACKAGEDIR/%{_name}/noflavor_data.filelist \
+  | sed -e s!^!%{_prefix}! \
+	-e 's!%{_prefix}%{_sysconfdir}!%config(noreplace) %{_sysconfdir}!' \
+  > package.filelist
+cat $GLOBUSPACKAGEDIR/%{_name}/noflavor_doc.filelist \
+  | sed -e 's!/man/.*!&*!' -e 's!^!%doc %{_prefix}!' >> package.filelist
+
+mkdir -p $RPM_BUILD_ROOT/etc/grid-services
+mkdir -p $RPM_BUILD_ROOT/etc/grid-services/available
 
 %clean
 rm -rf $RPM_BUILD_ROOT
 
 %post
-if [ $1 = 1 ]; then
+if [ $1 -eq 1 ]; then
     /sbin/chkconfig --add %{name}
 fi
 
 %preun
-if [ $1 = 0 ]; then
+if [ $1 -eq 0 ]; then
     /sbin/chkconfig --del %{name}
 fi
 
@@ -162,16 +128,19 @@ fi
 
 %files -f package.filelist
 %defattr(-,root,root,-)
+%{_initddir}/%{name}
+%{_sysconfdir}/logrotate.d/%{name}
+%dir %{_sysconfdir}/grid-services
+%dir %{_sysconfdir}/grid-services/available
 %dir %{_datadir}/globus/packages/%{_name}
 %dir %{_docdir}/%{name}-%{version}
-%doc %{_docdir}/%{name}-%{version}/GLOBUS_LICENSE
 %doc %{_docdir}/%{name}-%{version}/README
-%dir %{_datadir}/globus/packages/%{_name}_setup
-%{_datadir}/globus/packages/setup/%{_name}_setup
-%{_initrddir}/%{name}
 %doc %{_docdir}/%{name}-%{version}/README.Fedora
 
 %changelog
+* Thu Dec 15 2011 Mattias Ellert <mattias.ellert at fysast.uu.se> - 9.6-1
+- Update to Globus Toolkit 5.2.0
+
 * Mon Apr 25 2011 Mattias Ellert <mattias.ellert at fysast.uu.se> - 5.7-4
 - Add README file
 
diff --git a/sources b/sources
index b52937e..9e618de 100644
--- a/sources
+++ b/sources
@@ -1,2 +1 @@
-bc945782c72da95a69880ba4be0536c4  globus_gatekeeper-5.7.tar.gz
-11c67515a9801def578b85fcfb118da1  globus_gatekeeper_setup-2.2.tar.gz
+2cf0c7a6c5b257c4fde9c5013272085d  globus_gatekeeper-9.6.tar.gz


More information about the scm-commits mailing list